View Issue Details

IDProjectCategoryView StatusLast Update
0000274CaseTalk ModelerModel Validationpublic2018-01-23 22:14
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFutureFixed in Version8.28 
Summary0000274: Implement sql based rules
DescriptionA number of validation rules exists. It would be nice to be able to extend these using an external sql file.

This way more custom rules can be expressed. They might include specific custom attributes for instance.
TagsNo tags attached.
CaseTalk Edition

Relationships

Activities

BCP Software

BCP Software

2018-01-22 20:22

administrator   ~0001087

Last edited: 2018-01-22 20:23

View 4 revisions

Similar to modules, or customscript.sql
We could support an external script to fill a table every time it fires. The table could contain:

  rule; message; otft; status

BCP Software

BCP Software

2018-01-23 22:14

administrator   ~0001089

Custom rules are now made available in some CaseTalk Editions. See the documentation at http://wiki.casetalk.com/Custom_SQL_Rules

Issue History

Date Modified Username Field Change
2013-05-21 10:02 BCP Software New Issue
2013-05-21 10:02 BCP Software Status new => assigned
2013-05-21 10:02 BCP Software Assigned To => BCP Software
2016-01-20 12:59 BCP Software Category Validation => Well Formednes Rules
2016-01-20 13:00 BCP Software Category Well Formednes Rules => Model Validation
2018-01-22 20:22 BCP Software Note Added: 0001087
2018-01-22 20:22 BCP Software Note Edited: 0001087 View Revisions
2018-01-22 20:23 BCP Software Note Edited: 0001087 View Revisions
2018-01-22 20:23 BCP Software Note Edited: 0001087 View Revisions
2018-01-23 22:14 BCP Software Status assigned => resolved
2018-01-23 22:14 BCP Software Resolution open => fixed
2018-01-23 22:14 BCP Software Fixed in Version => 8.28
2018-01-23 22:14 BCP Software Note Added: 0001089